org.springframework.cloud.dataflow.server.db.migration.postgresql

## Class PostgresMigrateTaskDefinitionsSqlCommand

- java.lang.Object
- - org.springframework.cloud.dataflow.common.flyway.SqlCommand
  - - org.springframework.cloud.dataflow.server.db.migration.postgresql.PostgresMigrateTaskDefinitionsSqlCommand

-     public class PostgresMigrateTaskDefinitionsSqlCommand
      extends org.springframework.cloud.dataflow.common.flyway.SqlCommand

  `SqlCommand` copying data from `TASK_DEFINITIONS` table into `task_definitions_tmp` table handling correct way to use CLOB with postgres.
  Author:
    Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresMigrateTaskDefinitionsSqlCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHandleInJdbcTemplate()`
    `void` | `handle(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate, Connection connection)`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.SqlCommand

      `from, from, getCommand, getSuppressedErrorCodes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgresMigrateTaskDefinitionsSqlCommand

          public PostgresMigrateTaskDefinitionsSqlCommand()

  - ### Method Detail

    - #### canHandleInJdbcTemplate

          public boolean canHandleInJdbcTemplate()

      Overrides:
        `canHandleInJdbcTemplate` in class `org.springframework.cloud.dataflow.common.flyway.SqlCommand`

    - #### handle

          public void handle(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate,
                             Connection connection)

      Overrides:
        `handle` in class `org.springframework.cloud.dataflow.common.flyway.SqlCommand`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.